Projects

List projects

GET
/v1/projects

Authorization

bearerAuth
AuthorizationBearer <token>

A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/projects"
{  "projects": [    {      "id": "string",      "slug": "string",      "name": "string",      "repositoryId": "string",      "repositoryIds": [        "string"      ],      "repositories": [        {          "id": "string",          "provider": "string",          "fullName": "string",          "defaultBranch": "string",          "primary": true,          "index": {            "status": "indexed",            "commit": "string",            "indexedAt": "2019-08-24T14:15:22Z",            "nextStatus": "indexing",            "nextRequiredVersion": "string"          }        }      ]    }  ]}